Package org.eclipse.lemminx.extensions.contentmodel.settings

## Class XMLXIncludeSettings

- java.lang.Object
- - org.eclipse.lemminx.extensions.contentmodel.settings.XMLXIncludeSettings

    public class XMLXIncludeSettings
    extends Object

XML xi:include settings.

### Constructor Summary

Constructors
`XMLXIncludeSettings()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`int` `hashCode()`
`boolean` `isEnabled()`
`void` `setEnabled​(boolean enabled)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLXIncludeSettings

    public XMLXIncludeSettings()

### Method Detail

#### setEnabled

    public void setEnabled​(boolean enabled)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`

#### isEnabled

    public boolean isEnabled()